meltdown spectre kernel vulnerability 300x157 - Security Vulnerabilities - Meltdown and Spectre

There are new serious security vulnerabilities called Meltdown and Spectre that affect all computer systems, tablets, phones. It is important to make sure you are running the latest Windows/Mac updates, the latest version of browsers Edge, Firefox, Chrome. Do not ignore any new updates. In some cases your computer motherboard will also require an update.

Apple have released macOS 10.13.2, iOS 11.2.2, and Safari 11.0.2 to help protect from these new vulnerabilities. Google has patched Android against both Spectre and Meltdown attacks with the January 2018 security OS patches. Firefox has been patched with version 57.0.4. Chrome 65 has been patched. Microsoft has also released Windows patches, Explorer 11 and Edge patches.

We have taken steps to help protect against these vulnerabilities on our web/mail servers. Orillia ProNet Inc. is available for any support.